{% extends 'IPL/index.html' %}

{% block content %}
<script>
    fetch('http://localhost:8000/api/api_team_wins_per_season')
    .then( (resp) => resp.json())
    .then((data)=> plot_chart(data))

    function array_format(data){
        data_format = []
        for(let team in data){
            temp_obj = {}
            wins = []
            for (let year in data[team]){
                wins.push(data[team][year])
            }
            temp_obj['name'] = team
            temp_obj['data'] = wins
            data_format.push(temp_obj)
        }
        return data_format
    }
    function plot_chart(data){                
        data_format = array_format(data)
        Highcharts.chart('container', {
            chart: {
            type: 'column'
            },
            title: {
            text: 'Team Wins Per Season'
            },
            xAxis: {
            categories: ['2008', '2009', '2010', '2011', '2012', '2013', '2014', '2015','2016', '2017'],
            title: {
                text: 'Season'
            }
            },
            yAxis: {
            min: 0,
            title: {
                text: 'Wins Per Season'
            },
            stackLabels: {
                enabled: true,
                style: {
                fontWeight: 'bold',
                color: ( // theme
                    Highcharts.defaultOptions.title.style &&
                    Highcharts.defaultOptions.title.style.color
                ) || 'gray'
                }
            }
            },
            legend: {
            align: 'right',
            x: -30,
            verticalAlign: 'bottom',
            y: 25,
            floating: true,
            backgroundColor:
                Highcharts.defaultOptions.legend.backgroundColor || 'white',
            borderColor: '#CCC',
            borderWidth: 1,
            shadow: false
            },
            tooltip: {
            headerFormat: '<b>{point.x}</b><br/>',
            pointFormat: '{series.name}: {point.y}<br/>Total: {point.stackTotal}'
            },
            plotOptions: {
            column: {
                stacking: 'normal',
                dataLabels: {
                enabled: true
                }
            }
            },
            series: data_format
        });
    }
</script>
{% endblock %}
